Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image
Class ConcreteComponentTransferFunction

    java.lang.Object
      org.apache.batik.ext.awt.image.ConcreteComponentTransferFunction

All Implemented Interfaces:
  ComponentTransferFunction

    public class ConcreteComponentTransferFunction

extends Object
implements ComponentTransferFunction

This class implements the interface expected from a component transfer function.

Field Summary

Fields inherited from interface org.apache.batik.ext.awt.image.ComponentTransferFunction
`DISCRETE, GAMMA, IDENTITY, LINEAR, TABLE`

Method Summary
`float` | `getAmplitude()` Returns the amplitude value for this transfer function
`static ComponentTransferFunction` | `getDiscreteTransfer(float[] tableValues)` Returns a discrete transfer function
`float` | `getExponent()` Returns the exponent value for this transfer function
`static ComponentTransferFunction` | `getGammaTransfer(float amplitude, float exponent, float offset)` Returns a gamma function
`static ComponentTransferFunction` | `getIdentityTransfer()` Returns an instance initialized as an identity transfer function
`float` | `getIntercept()` Returns the intercept value for this transfer function
`static ComponentTransferFunction` | `getLinearTransfer(float slope, float intercept)` Returns a linear transfer function
`float` | `getOffset()` Returns the offset value for this transfer function
`float` | `getSlope()` Returns the slope value for this transfer function
`static ComponentTransferFunction` | `getTableTransfer(float[] tableValues)` Returns a table transfer function
`float[]` | `getTableValues()` Returns the table values for this transfer function
`int` | `getType()` Returns the type of this transfer function

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getIdentityTransfer

    public static ComponentTransferFunction getIdentityTransfer()

  Returns an instance initialized as an identity transfer function

### getTableTransfer

    public static ComponentTransferFunction getTableTransfer(float[] tableValues)

  Returns a table transfer function

### getDiscreteTransfer

    public static ComponentTransferFunction getDiscreteTransfer(float[] tableValues)

  Returns a discrete transfer function

### getLinearTransfer

    public static ComponentTransferFunction getLinearTransfer(float slope,
                                                              float intercept)

  Returns a linear transfer function

### getGammaTransfer

    public static ComponentTransferFunction getGammaTransfer(float amplitude,
                                                             float exponent,
                                                             float offset)

  Returns a gamma function

### getType

    public int getType()

  Returns the type of this transfer function

  Specified by:
    `getType` in interface `ComponentTransferFunction`

### getSlope

    public float getSlope()

  Returns the slope value for this transfer function

  Specified by:
    `getSlope` in interface `ComponentTransferFunction`

### getTableValues

    public float[] getTableValues()

  Returns the table values for this transfer function

  Specified by:
    `getTableValues` in interface `ComponentTransferFunction`

### getIntercept

    public float getIntercept()

  Returns the intercept value for this transfer function

  Specified by:
    `getIntercept` in interface `ComponentTransferFunction`

### getAmplitude

    public float getAmplitude()

  Returns the amplitude value for this transfer function

  Specified by:
    `getAmplitude` in interface `ComponentTransferFunction`

### getExponent

    public float getExponent()

  Returns the exponent value for this transfer function

  Specified by:
    `getExponent` in interface `ComponentTransferFunction`

### getOffset

    public float getOffset()

  Returns the offset value for this transfer function

  Specified by:
    `getOffset` in interface `ComponentTransferFunction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.